# Uses of Record Class
org.apache.lucene.queryparser.ext.Extensions.Pair

Packages that use Extensions.Pair
Package
Description
org.apache.lucene.queryparser.ext
Extendable QueryParser provides a simple and flexible extension mechanism by overloading query field names.

- ## Uses of Extensions.Pair in org.apache.lucene.queryparser.ext

  Methods in org.apache.lucene.queryparser.ext that return Extensions.Pair
  Modifier and Type
  Method
  Description
  `Extensions.Pair<String,String>`
  Extensions.`splitExtensionField(String defaultField, String field)`
  Splits a extension field and returns the field / extension part as a `Extensions.Pair`.